Joomla! presenta una serie di versioni, che col passare degli anni, si sono succedute: dalla prima serie 1.0.x, per passare alla 1.5.x fino alla versione 2.5.x e l'attuale 3.x.

Fino al 31 dicembre 2014 erano supportate dal team internazionale di Joomla! sia la serie 2.5 che 3.x. Ma dal 1 gennaio 2015?

quale versione di joomla installare

quale versione joomla installare

Joomla! 2.5 e Joomla! 3.x rappresentano due cicli di sviluppo differenti:

  • Joomla! 2.5 è stato per circa due anni (dal 2012 al 2014) il ramo principale, ovvero quello supportato a lungo termine dagli sviluppatori di Joomla!;
  • Joomla! 3.x è invece la nuova serie, che godrà del supporto ufficiale almeno fino al 2017, e che sostituisce a tutti gli effetti la versione 2.5.
icona info

la versione 2.5 è stata supportata fino al 31 dicembre 2014: pertanto per nuovi siti è assolutamento da utilizzare Joomla! 3.x; per siti già in Joomla! 2.5 è necessario programmare la migrazione a Joomla! 3.x (con la fine del supporto ufficiale non verranno più rilasciati aggiornamenti della serie 2.5)

icona warning

come spiegato nel nostro articolo sul Ciclo di rilascio delle versioni di Joomla!, da aprile 2014 la strategia di sviluppo di Joomla! è stata modificata: non ci saranno più versioni LTS (con supporto a lungo termine) e STS (con supporto a breve termine); molto semplicemente ogni nuova versione (della serie 3.x e in futuro della serie 4.x) è da considerarsi come la versione stabile da utilizzare per i siti di produzione

Qui sotto vediamo l'elenco dei cicli di rilascio (con le ipotesi per i rilasci futuri):

  • Versione 2.5.x: Marzo 2012
  • Versione 3.0.x: Settembre 2012
  • Versione 3.1.x: Marzo 2013
  • Versione 3.2.x: Settembre 2013
  • Versione 3.3.x: Aprile 2014
  • Versione 3.4.x: Febbraio 2015
  • Versione 3.5.x: Marzo 2016
  • Versione 3.6.x: Luglio 2016
  • Versione 3.7.x: Marzo 2017?
  • Versione 3.5.x: Ottobre 2017?
  • Versione 4.0.x: Ottobre 2017

 

icona info

Quando il supporto ufficiale ad una versione è terminato (come ad esempio per la serie 1.5 e la serie 2.5) non significa che i siti realizzati con quella data versione non funzionino più. Significa che è terminato il supporto del team ufficiale, che sposta così l'attenzione e le energie su nuovi cicli di rilascio: in questa momento sull'attuale ciclo di Joomla! 3 e sul prossimo ciclo, Joomla 4. Il consiglio è quello di programmare sempre una migrazione alle versioni più aggiornate e stabili, perché col passare degli anni le vecchie versioni di Joomla! finiranno per non supportare le nuovi versioni di mysql e php utilizzate sui server degli hosting, o potranno non essere visualizzate correttamente dalle future versioni dei browser, ma soprattutto saranno più soggette a problemi di sicurezza. Per la creazione di nuovi siti, il consiglio è quello di utilizzare l'ultima serie 3.x di Joomla!, nella sua ultima versione stabile.

ORA CHE SAI QUALE VERSIONE DI JOOMLA! INSTALLARE
INIZIA A CREARE IL TUO SITO WEB CON I NOSTRI VIDEO CORSI